View Issue Details

IDProjectCategoryView StatusLast Update
0004169PartDesignBugpublic2020-12-01 11:12
Reporterchrisb Assigned Towmayer  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0004169: DatumPoint at the intersection of a DatumPlane and DatumPoint not working correctly
DescriptionThe attachment for a DatumPoint on a DatumPlane and on an intersecting curved line is not working correctly, see forum discussion for further explanations and example.
TagsNo tags attached.
FreeCAD InformationOS: macOS High Sierra (10.13)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18524 (Git)
Build type: Release
Branch: master
Hash: bea009c1d52b97655dab2d5c0fbddec30989a902
Python version: 3.7.3
Qt version: 5.12.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/Germany (en_DE)

Relationships

related to 0004018 closedwmayer Proximity point attachment between plane and line does not work 

Activities

abdullah

2020-11-27 18:07

manager   ~0015021

git commit cc8fe82948017c414b226052f7e922fd1036c087

wmayer

2020-11-27 18:12

administrator   ~0015022

The bug was already fixed with https://github.com/abdullahtahiriyo/FreeCAD_sf_master/commit/cc8fe82948017c414b226052f7e922fd1036c087
However, this wasn't a very elegant solution.

https://github.com/FreeCAD/FreeCAD/commit/0e93dd12eda14edc6b554ff971c288525dbd57f6 looks much nicer.

wmayer

2020-11-27 18:30

administrator   ~0015023

Fix committed to master branch.

Related Changesets

FreeCAD: master 0e93dd12

2020-11-27 18:10:22

wmayer

Details Diff
Part: [skip ci] fixes 0004169: DatumPoint at the intersection of a DatumPlane and DatumPoint not working correctly Affected Issues
0004169
mod - src/Mod/Part/App/Attacher.cpp Diff File

Issue History

Date Modified Username Field Change
2019-10-17 23:31 chrisb New Issue
2019-10-17 23:31 chrisb Status new => assigned
2019-10-17 23:31 chrisb Assigned To => DeepSOIC
2019-10-17 23:33 DeepSOIC Severity minor => major
2020-11-27 18:07 abdullah Assigned To DeepSOIC => abdullah
2020-11-27 18:07 abdullah Status assigned => closed
2020-11-27 18:07 abdullah Resolution open => fixed
2020-11-27 18:07 abdullah Fixed in Version => 0.19
2020-11-27 18:07 abdullah Note Added: 0015021
2020-11-27 18:12 wmayer Note Added: 0015022
2020-11-27 18:30 wmayer Changeset attached => FreeCAD master 0e93dd12
2020-11-27 18:30 wmayer Note Added: 0015023
2020-11-27 18:30 wmayer Assigned To abdullah => wmayer
2020-11-27 20:01 Kunda1 Relationship added related to 0004018